(function(){
 var a= {
  exec:function(editor){
   editor.insertHtml( '[slider]insert image 1 # insert image 2[/slider]' );
  }
 },

 b="slidetag";
 CKEDITOR.plugins.add(b,{
  init:function(editor){
   editor.addCommand(b,a);
   editor.ui.addButton("slidetag",{
    label:"Insert Slide",
    icon: this.path + "slide.png",
    command:b
   });
  }
 });
})();
